GET /api/v1/cloud/sessions/{session_id}/resources
使用游标分页读取 Session resources。
路径参数
| 参数 | 类型 | 说明 |
|---|---|---|
session_id | string | 以 sess_ 为前缀的 Session ID |
查询参数
| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
limit | integer | 否 | 最大返回资源数。默认 20,范围 1-100。超过 100 返回 400 invalid_request_error |
page | string | 否 | 上一次响应 next_page 返回的不透明游标。与 before_id、after_id 互斥 |
before_id | string | 否 | 返回此 resource ID 之前的资源。与 page、after_id 互斥 |
after_id | string | 否 | 返回此 resource ID 之后的资源。与 page、before_id 互斥 |
请求头
| 头部 | 必选 | 说明 |
|---|---|---|
Authorization | 是 | Bearer $QODER_PAT |
示例请求
curl https://api.qoder.com/api/v1/cloud/sessions/sess_019e392c0d1e74e095d21ea4c6b41def/resources \
-H "Authorization: Bearer $QODER_PAT"
响应字段
| 字段 | 类型 | 说明 |
|---|---|---|
data | array | Session resource 对象数组 |
has_more | boolean | 当前结果集之后还有更多页时为 true |
first_id | string | null | 当前页第一个 resource 的 ID |
last_id | string | null | 当前页最后一个 resource 的 ID |
next_page | string | null | 下一页的不透明游标;作为 page 查询参数传入 |
示例响应
HTTP 200 OK{
"data": [
{
"id": "sesr_0e4323e8f47ba34853f5409e",
"type": "file",
"file_id": "file_019ef2a07a06704fb899908c29eed779",
"mount_path": "/mnt/session/uploads/file_019ef2a07a06704fb899908c29eed779",
"created_at": "2026-06-23T05:53:19.77484Z",
"updated_at": "2026-06-23T05:53:38.185714Z"
}
],
"first_id": "sesr_0e4323e8f47ba34853f5409e",
"last_id": "sesr_0e4323e8f47ba34853f5409e",
"has_more": false,
"next_page": null
}
错误码
| HTTP | 类型 | 触发条件 |
|---|---|---|
| 400 | invalid_request_error | limit 非正整数或非整数,或同时传入 page 与 before_id/after_id |
| 401 | authentication_error | PAT 无效或过期 |
| 404 | not_found_error | Session 不存在 |
{
"type": "error",
"request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14",
"error": {
"type": "not_found_error",
"message": "Session 'sess_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
}
}